package com.sun.xml.internal.ws.api.model.wsdl.editable;

import com.sun.xml.internal.ws.api.model.wsdl.WSDLModel;
import com.sun.xml.internal.ws.api.model.wsdl.WSDLPort;
import com.sun.istack.internal.Nullable;
import javax.xml.namespace.QName;
import com.sun.istack.internal.NotNull;
import com.sun.xml.internal.ws.api.model.wsdl.WSDLService;

public interface EditableWSDLService extends WSDLService
{
    @NotNull
    public abstract EditableWSDLModel getParent();
    
    public abstract EditableWSDLPort get(QName p0);
    
    public abstract EditableWSDLPort getFirstPort();
    
    @Nullable
    public abstract EditableWSDLPort getMatchingPort(QName p0);
    
    public abstract Iterable<? extends EditableWSDLPort> getPorts();
    
    public abstract void put(QName p0, EditableWSDLPort p1);
    
    public abstract void freeze(EditableWSDLModel p0);
}
